﻿<UserControl x:Class="Jeu___Bourse.View.Accueil.BanqueView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             xmlns:viewbanque="clr-namespace:Jeu___Bourse.View.Banque"
             xmlns:viewmodelbanque="clr-namespace:Jeu___Bourse.ViewModel.Banque"
             xmlns:local="clr-namespace:Jeu___Bourse.View.Accueil"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <UserControl.Resources>
        <DataTemplate DataType="{x:Type viewmodelbanque:Visa}">
            <viewbanque:VisaViews/>
        </DataTemplate>
        <DataTemplate DataType="{x:Type viewmodelbanque:AccueilViewModel}">
            <viewbanque:AccueilBanqueViw/>
        </DataTemplate>
    </UserControl.Resources>
    <Grid Visibility="{Binding BanqueVisibility,Converter={StaticResource BoolVisibility}}">
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition Height="18*" />
        </Grid.RowDefinitions>
        <Grid Background="#231F20">
            <Grid.ColumnDefinitions>
                <ColumnDefinition/>
                <ColumnDefinition Width="10*"/>
                <ColumnDefinition/>
            </Grid.ColumnDefinitions>
            <TextBlock Text="Banque" HorizontalAlignment="Center" VerticalAlignment="Center" Foreground="White"/>
            <Grid Grid.Column="2">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition/>
                    <ColumnDefinition/>
                </Grid.ColumnDefinitions>
                <Button Margin="3" Command="{Binding MiniBanque}">
                    <Image Source="/Img/minus.png"/>
                </Button>
                <Button Grid.Column="1" Background="DarkRed" BorderBrush="DarkRed" Margin="3" Command="{Binding CloseBanque}">
                    <Image Source="/Img/window-close.png"/>
                </Button>
            </Grid>
        </Grid>
        <Grid Grid.Row="1" Background="#E5E5E5">
            <Grid.ColumnDefinitions>
                <ColumnDefinition/>
                <ColumnDefinition Width="5*"/>
                <ColumnDefinition/>
            </Grid.ColumnDefinitions>
            <Grid Grid.Column="1">
                <Grid.RowDefinitions>
                    <RowDefinition Height="2*"/>
                    <RowDefinition Height="20*"/>
                    <RowDefinition/>
                </Grid.RowDefinitions>
                <materialDesign:Card VerticalAlignment="Stretch" Background="Transparent" Margin="0,3,0,0">
                    <Image Source="/Img/Belfius.svg.png" HorizontalAlignment="Left"/>
                </materialDesign:Card>
                <Grid>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="2*"/>
                        <ColumnDefinition/>
                        <ColumnDefinition/>
                    </Grid.ColumnDefinitions>
                    <!--<Button Grid.Column="1" Background="#566874" BorderBrush="#566874" Content="Votre VISA" Foreground="White" Command="{Binding VisaBtn}"/>-->
                    <Button Grid.Column="2" Background="#BE0042" BorderBrush="#BE0042" Content="Votre compte" Foreground="White" Command="{Binding VisaBtn}"/>
                </Grid>
                <Grid Grid.Row="1">
                    <Grid.RowDefinitions>
                        <RowDefinition/>
                        <RowDefinition Height="4*"/>
                        <RowDefinition/>
                    </Grid.RowDefinitions>
                    <materialDesign:Card Margin="0,5,0,0">
                        <Label Content="La banque qui vous appartient" FontSize="24" HorizontalContentAlignment="Center" VerticalContentAlignment="Center"/>
                    </materialDesign:Card>
                    <Grid Grid.Row="1">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition/>
                            <ColumnDefinition Width="3*"/>
                        </Grid.ColumnDefinitions>
                        <materialDesign:Card Grid.Column="1" VerticalAlignment="Stretch">
                            <Grid>
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="5*"/>
                                    <RowDefinition/>
                                </Grid.RowDefinitions>
                                <Image Source="{Binding Img,UpdateSourceTrigger=PropertyChanged}" Margin="{Binding Margin}" Grid.RowSpan="2"/>
                                <!--<Image Source="/Img/Banque/bank.png" Grid.RowSpan="2"/>-->
                                <Grid Grid.Row="1" Background="#BE0042" Opacity="0.75">
                                    <TextBlock Text="{Binding Txt,UpdateSourceTrigger=PropertyChanged}" HorizontalAlignment="Center" VerticalAlignment="Center" Foreground="White" FontSize="30"></TextBlock>
                                </Grid>
                            </Grid>
                        </materialDesign:Card>
                        <materialDesign:Card VerticalAlignment="Stretch" Background="#566874" BorderBrush="#566874">
                            <Grid Grid.Column="0">
                                <Grid.RowDefinitions>
                                    <RowDefinition/>
                                    <RowDefinition Height="3*"/>
                                    <RowDefinition/>
                                    <RowDefinition/>
                                </Grid.RowDefinitions>
                                <materialDesign:Card VerticalAlignment="Stretch" Background="#566874" BorderBrush="Black">
                                    <Button VerticalAlignment="Stretch" Style="{StaticResource ButtonStyle1}" Content="Actualité" Foreground="White" BorderBrush="#BE0041" FontSize="20"/>
                                </materialDesign:Card>
                            </Grid>

                        </materialDesign:Card>
                    </Grid>
                    <ContentControl Grid.Row="1" Content="{Binding Banking}"/>
                </Grid>
            </Grid>
        </Grid>
    </Grid>
</UserControl>
